%define upstream_name	 XML-Grove
%define upstream_version 0.46alpha

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:	Provides the information set of parsed XML/HTML/SGML trees
License:	Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch

# Remove bogus and redundant provides
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(My(HTML|Visitor)\\)|^perl\\(XML::Grove\\)$
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(XML::Parser::PerlSAX\\)$


%description
The XML::Grove Perl module provides simple access to the information
set of parsed XML, HTML, or SGML instances using a tree of Perl
hashes.  This package also includes several extensions to XML::Grove
that provide the following:

   - returning element contents as a string
   - returning element contents as XML, HTML, or Canonical XML
   - processing entire groves using the visitor pattern
   - processing entire groves using PerlSAX
   - running a filter over all nodes in the grove
   - substituting values into an XML template grove
   - indexing a grove by ID or other attributes
   - accessing elements and objects via URL-like paths
   - create grove objects using an easy shorthand

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
%make_install

%files
%doc Changes ChangeLog README COPYING
%{_mandir}/*/*
%{perl_vendorlib}/XML/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.460.0alpha-13.mga10
+ Revision: 2201467
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.460.0alpha-12.mga9
+ Revision: 1806665
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.460.0alpha-11.mga8
+ Revision: 1498401
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.460.0alpha-10.mga7
+ Revision: 1272766
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.460.0alpha-9.mga6
+ Revision: 1036024
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.460.0alpha-8.mga6
+ Revision: 938693
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.460.0alpha-7.mga5
+ Revision: 740073
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.460.0alpha-6.mga5
+ Revision: 732628
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.460.0alpha-5.mga5
+ Revision: 686932
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.460.0alpha-4.mga4
+ Revision: 516214
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.460.0alpha-3.mga3
+ Revision: 375052
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.460.0alpha-2.mga1
+ Revision: 29509
- no meta.yml
- mageia rebuild
- imported package perl-XML-Grove


* Tue Jan 19 2010 Pascal Terjan <pterjan@mandriva.org> 0.460.0alpha-2mdv2010.1
+ Revision: 493739
- Rebuild to get the version right

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.460.0-1mdv2010.0
+ Revision: 408238
- rebuild using %%perl_convert_version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.46alpha-10mdv2009.0
+ Revision: 224623
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.46alpha-9mdv2008.1
+ Revision: 180656
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.46alpha-8mdv2007.0
+ Revision: 108411
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-XML-Grove

* Mon Jan 10 2005 Stefan van der Eijk <stefan@mandrake.org> 0.46alpha-7mdk
- upload to contrib

